# Goocanvas::Text Class Reference

Inheritance diagram for Goocanvas::Text:
[legend]

List of all members.

## Public Member Functions

virtual | ~Text ()
GooCanvasText* | gobj ()
| Provides access to the underlying C GObject.
const GooCanvasText* | gobj () const
| Provides access to the underlying C GObject.
GooCanvasText* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | get_natural_extents (Pango::Rectangle& ink_rect, Pango::Rectangle& logical_rect) const
| Gets the natural extents of the text, in the text item's coordinate space.
Glib::PropertyProxy < Pango::Alignment > | property_alignment ()
| How to align the text.
Glib::PropertyProxy_ReadOnly < Pango::Alignment > | property_alignment () const
| How to align the text.
Glib::PropertyProxy < Gtk::AnchorType > | property_anchor ()
| How to position the text relative to the given x and y coordinates.
Glib::PropertyProxy_ReadOnly < Gtk::AnchorType > | property_anchor () const
| How to position the text relative to the given x and y coordinates.
Glib::PropertyProxy < Pango::EllipsizeMode > | property_ellipsize ()
| The preferred place to ellipsize the string.
Glib::PropertyProxy_ReadOnly < Pango::EllipsizeMode > | property_ellipsize () const
| The preferred place to ellipsize the string.
Glib::PropertyProxy < Glib::ustring > | property_text ()
| The text to display.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_text () const
| The text to display.
Glib::PropertyProxy< bool > | property_use_markup ()
| Whether to parse PangoMarkup in the text.
Glib::PropertyProxy_ReadOnly < bool > | property_use_markup () const
| Whether to parse PangoMarkup in the text.
Glib::PropertyProxy < Pango::WrapMode > | property_wrap ()
| The preferred method of wrapping the string if a width has been set.
Glib::PropertyProxy_ReadOnly < Pango::WrapMode > | property_wrap () const
| The preferred method of wrapping the string if a width has been set.

## Static Public Member Functions

static Glib::RefPtr< Text > | create (const Glib::ustring& text=Glib::ustring(), double x=0.0, double y=0.0, double width=0.0, Gtk::AnchorType anchor=Gtk::ANCHOR_NORTH_WEST)

## Protected Member Functions

| Text (const Glib::ustring& text=Glib::ustring(), double x=0.0, double y=0.0, double width=-1, Gtk::AnchorType anchor=Gtk::ANCHOR_NORTH_WEST)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Goocanvas::Text > | wrap (GooCanvasText* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Goocanvas::Text::~Text | ( |  | ) | `[virtual]`

Goocanvas::Text::Text | ( | const Glib::ustring & | text = `Glib::ustring()`,
|  | double | x = `0.0`,
|  | double | y = `0.0`,
|  | double | width = `-1`,
|  | Gtk::AnchorType | anchor = `Gtk::ANCHOR_NORTH_WEST` |
| ) |  |  | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<Text> Goocanvas::Text::create | ( | const Glib::ustring & | text = `Glib::ustring()`,
|  | double | x = `0.0`,
|  | double | y = `0.0`,
|  | double | width = `0.0`,
|  | Gtk::AnchorType | anchor = `Gtk::ANCHOR_NORTH_WEST` |
| ) |  |  | `[static]`

void Goocanvas::Text::get_natural_extents | ( | Pango::Rectangle & | ink_rect,
|  | Pango::Rectangle & | logical_rect |
| ) |  |  | const

Gets the natural extents of the text, in the text item's coordinate space.

The final extents of the text may be different, if the text item is placed in a layout container such as Goo::CanvasTable.

Parameters:

  | ink_rect | The location to return the ink rect, or `0`.
  | logical_rect | The location to return the logical rect, or `0`.

const GooCanvasText* Goocanvas::Text::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemSimple.

GooCanvasText* Goocanvas::Text::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemSimple.

GooCanvasText* Goocanvas::Text::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Goocanvas::ItemSimple.

Glib::PropertyProxy_ReadOnly<Pango::Alignment> Goocanvas::Text::property_alignment | ( |  | ) | const

How to align the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::Alignment> Goocanvas::Text::property_alignment | ( |  | ) |

How to align the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gtk::AnchorType> Goocanvas::Text::property_anchor | ( |  | ) | const

How to position the text relative to the given x and y coordinates.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gtk::AnchorType> Goocanvas::Text::property_anchor | ( |  | ) |

How to position the text relative to the given x and y coordinates.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::EllipsizeMode> Goocanvas::Text::property_ellipsize | ( |  | ) | const

The preferred place to ellipsize the string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::EllipsizeMode> Goocanvas::Text::property_ellipsize | ( |  | ) |

The preferred place to ellipsize the string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Goocanvas::Text::property_text | ( |  | ) | const

The text to display.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Goocanvas::Text::property_text | ( |  | ) |

The text to display.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Goocanvas::Text::property_use_markup | ( |  | ) | const

Whether to parse PangoMarkup in the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Goocanvas::Text::property_use_markup | ( |  | ) |

Whether to parse PangoMarkup in the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::WrapMode> Goocanvas::Text::property_wrap | ( |  | ) | const

The preferred method of wrapping the string if a width has been set.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::WrapMode> Goocanvas::Text::property_wrap | ( |  | ) |

The preferred method of wrapping the string if a width has been set.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::Text > wrap | ( | GooCanvasText * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/text.h